httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Kew <n...@webthing.com>
Subject Re: [users@httpd] mod_fcgid 2.3.6 causes Apache 2.4.1 not to start with undefined symbol: ap_unixd_setup_child message
Date Thu, 22 Mar 2012 14:47:34 GMT
On Thu, 22 Mar 2012 14:57:02 +0100
"Richard Westebbe" <richard.westebbe@gmx.de> wrote:


>  - When mod_unixd is loaded before mod_fcgid everything seems to work fine. So I don't
think that an bugzilla report is nescessary.
>  Though I think it might be a great advantage, if such dependencies would be resolved
internaly by the Apache.

Yep.  That kind of order-dependency is always on the radar, and
we try to avoid it creeping into released versions.  For example,
we have to take some care to avoid similar issues if mod_dbd or
mod_ldap are loaded after their respective dependencies!

>  I guess some of your questions are answered now. httpd-tools is an typical RPM of CentOS
and Red Hat, it contains for example the programms ab, htdbm, htdigest, htpasswd, etc. The
packeges I talked of are RPMs I build from slightly modified CentOS spec files. 
> 
> 
>  I guess, we could mark this topic as solved, and I'm sorry for the alarm I might have
caused.

This is the kind of bump in the road we expect with a new release,
and why we need users like yourself who are sufficiently techie to
work through them and bring them to our attention.

Looks like one bug for us to deal with, and one on your side!

-- 
Nick Kew

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message